{ lib, hostFQDN, emailCheck, ... }:
let
  defaultPassiveInfo = {
    filter = lib.attrsets.filterAttrs
      (k: v: builtins.elem k ["service_description"] || builtins.substring 0 1 k == "_");
    use = "external-passive-service";
    freshness_threshold = "450";
    retry_interval = "1";
    servicegroups = "webstatus-resources";
    host_name = hostFQDN;
  };
in
{
  service = [
    {
      passiveInfo = defaultPassiveInfo // { servicegroups = "webstatus-resources"; };
      service_description = "No ZFS pool is degraded";
      use = "local-service";
      check_command = ["check_zfs"];
    }
  ];
}
